/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.daos;


import com.tabajara.base.tables.Hispropriedades;
import com.tabajara.base.tables.records.HispropriedadesRecord;

import io.github.jklingsporn.vertx.jooq.shared.internal.AbstractVertxDAO;

import java.sql.Date;
import java.util.List;

import javax.annotation.Generated;

import org.jooq.Configuration;


import io.vertx.core.Future;
import io.github.jklingsporn.vertx.jooq.classic.jdbc.JDBCClassicQueryExecutor;
/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class HispropriedadesDao extends AbstractVertxDAO<HispropriedadesRecord, com.tabajara.base.tables.pojos.Hispropriedades, Integer, Future<List<com.tabajara.base.tables.pojos.Hispropriedades>>, Future<com.tabajara.base.tables.pojos.Hispropriedades>, Future<Integer>, Future<Integer>> implements io.github.jklingsporn.vertx.jooq.classic.VertxDAO<HispropriedadesRecord,com.tabajara.base.tables.pojos.Hispropriedades,Integer> {

    /**
     * @param configuration The Configuration used for rendering and query execution.
     * @param vertx the vertx instance
     */
    public HispropriedadesDao(Configuration configuration, io.vertx.core.Vertx vertx) {
        super(Hispropriedades.HISPROPRIEDADES, com.tabajara.base.tables.pojos.Hispropriedades.class, new JDBCClassicQueryExecutor<HispropriedadesRecord,com.tabajara.base.tables.pojos.Hispropriedades,Integer>(com.tabajara.base.tables.pojos.Hispropriedades.class,configuration,vertx), configuration);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Integer getId(com.tabajara.base.tables.pojos.Hispropriedades object) {
        return object.getHispoptid();
    }

    /**
     * Find records that have <code>fkardid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Hispropriedades>> findManyByFkardid(List<Integer> values) {
        return findManyByCondition(Hispropriedades.HISPROPRIEDADES.FKARDID.in(values));
    }

    /**
     * Find records that have <code>fktanid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Hispropriedades>> findManyByFktanid(List<Integer> values) {
        return findManyByCondition(Hispropriedades.HISPROPRIEDADES.FKTANID.in(values));
    }

    /**
     * Find records that have <code>fksenid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Hispropriedades>> findManyByFksenid(List<Integer> values) {
        return findManyByCondition(Hispropriedades.HISPROPRIEDADES.FKSENID.in(values));
    }

    /**
     * Find records that have <code>fkempid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Hispropriedades>> findManyByFkempid(List<Integer> values) {
        return findManyByCondition(Hispropriedades.HISPROPRIEDADES.FKEMPID.in(values));
    }

    /**
     * Find records that have <code>hora IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Hispropriedades>> findManyByHora(List<String> values) {
        return findManyByCondition(Hispropriedades.HISPROPRIEDADES.HORA.in(values));
    }

    /**
     * Find records that have <code>dia IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Hispropriedades>> findManyByDia(List<Date> values) {
        return findManyByCondition(Hispropriedades.HISPROPRIEDADES.DIA.in(values));
    }

    /**
     * Find records that have <code>medida IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Hispropriedades>> findManyByMedida(List<String> values) {
        return findManyByCondition(Hispropriedades.HISPROPRIEDADES.MEDIDA.in(values));
    }
}
